Bug 433143 - Review Request: mldonkey - MLDonkey is a multi-platform multi-network peer-to-peer client (ocaml)
Review Request: mldonkey - MLDonkey is a multi-platform multi-network peer-to...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-16 16:05 EST by Richard W.M. Jones
Modified: 2008-04-04 16:39 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-04 06:28:32 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-16 16:05:14 EST
Spec URL: http://www.annexia.org/tmp/ocaml/mldonkey.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/mldonkey-2.9.3-1.fc9.src.rpm
Description: 
MLDonkey - the Open Source eDonkey client

Features:

* 100% OpenSource, GPL license
* runs on Linux, Unix, Solaris, MacOSX, MorphOS and Windows
* Core and Guis are separated or linked.
* written in ObjectiveCaml, with some C and even some Assembler parts.
* OtherNetworksSupported, using separate executables
* built to run as daemon for days, weeks, ever...
Comment 1 Richard W.M. Jones 2008-02-16 16:08:14 EST
Added magic word ocaml to the summary.
Comment 2 Richard W.M. Jones 2008-02-16 16:15:47 EST
I should add that there are problems with the %doc section revealed by rpmlint which
I'm going to sort out.
Comment 3 Peter Lemenkov 2008-02-19 06:27:31 EST
BTW the legal status of MLDonkey is stil questionable - I asked Tom Callaway 
some time ago and he didn't provides clean answer whether we may distribute
p2p-software such as MLDonkey, aMule etc.

We already have almost finished package at Livna's bugzilla:

http://bugzilla.livna.org/show_bug.cgi?id=1487

but its obvious that shipping MLDonkey in main Fedora repo will be preferred. 

The only thing is left is to fix config-files so we could simply use generic
make install instead of manually copying files with install tool.
Comment 4 Richard W.M. Jones 2008-02-19 06:50:38 EST
The legal status of the software itself or the legal status of distributing
p2p software?

There can't be a problem distributing p2p software generically because
otherwise Fedora wouldn't come with useful tools such as bittorrent,
wget, scp, or cp.  I don't see an issue with the license of mldonkey
itself.

If you want the work done to be part of Fedora, you'll need to post
candidate spec and SRPM URLs to this bz.
Comment 5 Alexey Kuznetsov 2008-02-22 06:07:16 EST
(In reply to comment #3)
> BTW the legal status of MLDonkey is stil questionable - I asked Tom Callaway 
> some time ago and he didn't provides clean answer whether we may distribute
> p2p-software such as MLDonkey, aMule etc.
> 
> We already have almost finished package at Livna's bugzilla:
> 
> http://bugzilla.livna.org/show_bug.cgi?id=1487
> 
> but its obvious that shipping MLDonkey in main Fedora repo will be preferred. 
> 
> The only thing is left is to fix config-files so we could simply use generic
> make install instead of manually copying files with install tool.
> 

Fedora already contain that kind software.

DC++
https://admin.fedoraproject.org/pkgdb/packages/name/valknut

torrent's
https://admin.fedoraproject.org/pkgdb/packages/name/bittorrent
Comment 6 Nicolas Chauvet (kwizart) 2008-02-29 07:07:28 EST
In my view, the two potential maintainers (Richard and Peter) need to
co-ordinate their work to be co-maintainer of the package. (either in livna or
Fedora). 

@Richard
As your are the ocaml maintainer in Fedora, your interest in mldonkey is
valuable. And as such, the ocaml-find-requires.sh requirement is an important
improvement. So thx for trying to solve this.
But lot of work is missing (and as already be done in the Peter's spec). As
such, if I would review this package, I would just put a "-", with the reason
"Not enought work to review".

Actually the potential reviewers that has already been involved in the mldonkey
review, wouldn't play with reviewing the same package twice. If you can find a
reviewer that could review the package from the start, I will have nothing about
this. So please co-ordinate with Peter work. And I hope you understand my point
of view.

@Peter
As I said from the livna review, some dependencies are still missing to just
work normally after a yum install. Either you or Richard, need to be the primary
maintainer of the package. You need to solve this together even if you may not
know each other very well for now. So please start proposing things...



Comment 7 Richard W.M. Jones 2008-02-29 07:25:51 EST
Reply to comment 6:

I think we should ditch my package and go with the livna one (but in
Fedora, so the spec & SRPM copied here and adjusted if necessary for
any Fedora policy).

ocaml-find-provides/requires aren't really necessary because mldonkey
doesn't have any OCaml library component (AFAIK).

I don't mind being maintainer or co-maintainer if one is needed.
Comment 8 Richard W.M. Jones 2008-04-04 06:28:32 EDT
Since no one can be bothered to update this BZ, despite the
desperate importance of mldonkey to the future of Fedora,
I'm closing it.
Comment 9 Dominik 'Rathann' Mierzejewski 2008-04-04 16:39:20 EDT
Too bad. Well, maybe when Peter finds some free time, we can revisit this.

Note You need to log in before you can comment on or make changes to this bug.